
/* eslint-disable no-alert, no-console ,  no-debugger */
import { doFetchOrderHistory } from '@/services/product.service';
import { getField, updateField } from 'vuex-map-fields';
import humps from 'lodash-humps';

export const orderlist = {
    namespaced: true,
    state: {
        inProgress: true,
        OrderHistory: {},
       
        customerId: "",
        orderNumber: ""
        // createdDate: "",
        // toDate: "",
        // purchaseOrderNumber: "",

    },
    getters: {
        getField,

    },
    mutations: {
        updateField,
        inProgress(state, yesOrNo) {
            state.inProgress = yesOrNo
        },
        setOrderHistory(state, orderhistorydata) {
            state.OrderHistory = orderhistorydata
        },
    },

    actions: {
        fetchOrderList: async ({state, commit },customerId) => {
            try {
                commit('inProgress', true);
                let OrderHistory = await doFetchOrderHistory({customerId:customerId,incrementId:state.orderNumber});
                if (OrderHistory) {
                    commit('inProgress', false);
                    commit('setOrderHistory', humps(OrderHistory));
                }
            }
            catch (error) {
                commit('inProgress', false);
                throw error
            }
        },
        fetchReset: async ({state,commit },customerId) => {
            try {
                state.orderNumber="";
                commit('inProgress', true);
                let orderHistory = await doFetchOrderHistory({customerId:customerId,incrementId:state.orderNumber});

                if (orderHistory) {
                    commit('inProgress', false);
                    commit('setOrderHistory', humps(orderHistory));
                }
            }
            catch (error) {
                commit('inProgress', false);
                throw error
            }
        },
    }
}




